Bilgisayarınızı Windows XP Service Pack 1'e (SP1) güncelleştirdiğinizde bazı SP1 öncesi düzeltmeler SP1 sürümüne geçirilmiyor

Makale çevirileri Makale çevirileri
Makale numarası: 887822 - Bu makalenin geçerli olduğu ürünleri görün.
Hepsini aç | Hepsini kapa

Belirtiler

Microsoft Windows XP tabanlı bilgisayarınızı Windows XP Service Pack 1'e (SP1) güncelleştirdiğinizde, bilgisayarınızda yüklü olan bazı SP1 öncesi düzeltmeler Windows XP'nin yayım sürümünden Windows XP SP1'e başarıyla geçirilemeyebilir.

Notlar
  • Windows XP tabanlı bir bilgisayara bir Windows XP SP1 öncesi düzeltme yüklediğinizde, bilgisayarınızı Windows XP SP1'e güncelleştirdiğinizde kullanılmak üzere bu düzeltmenin bir SP1 sürümü de bilgisayara kopyalanır. Bilgisayarı Windows XP SP1'e güncelleştirdiğinizde, düzeltmenin SP1 sürümü otomatik olarak yüklenir.

    Bu otomatik işlem hakkında ek bilgi için, Microsoft Knowledge Base'deki makaleyi görüntülemek üzere aşağıdaki makale numarasını tıklatın:
    328848 Windows XP için çift modlu güncelleştirme paketlerinin açıklaması (Bu bağlantı, bir kısmı veya tamamı İngilizce olan içeriğe işaret edebilir.)
  • Bir düzeltmenin Windows XP SP1 düzeyine geçirildiğini doğrulamak için, Windows klasörünüzdeki Xpsp1hfm.log dosyasını inceleyin.
  • Bu sorun, aşağıdaki durumlardan birinde Windows XP Service Pack 2'ye (SP2) güncelleştirdiğinizde oluşmaz:
    • Windows XP'nin yayımlanan sürümünden düzeltmeler yüklü olmadan güncelleştirirsiniz.
    • Windows XP SP1'den Windows XP SP2 öncesi düzeltmeler yüklü olarak güncelleştirirsiniz.
  • Bilgisayarınızı Windows XP SP1'e güncelleştirdikten sonra, bazı SP1 öncesi düzeltmeler yüklenemez. Aşağıdaki hata iletisini alabilirsiniz:
    Kur bir hatayla karşılaştı: Paketin içerdiği dosyalar sisteminizdeki dosyalarla uyumlu değil.
    Bu hata iletisi, güncelleştirmenin günlük dosyasında (örneğin, KBxxxxxx.log) listelenir. Windows Installer programı, genişletilmiş bir hata kodu 0xf0f1 da döndürür.

Neden

Bu soruna Branches.inf dosyası neden olur. Branches.inf dosyası, Windows Installer programının belirli bir düzeltme için hangi sürümün yükleneceğini belirlemesine yardımcı olur.

Bu sorun, aşağıdaki düzeltmeler yüklüyse oluşur:
841356 MS04-037: Windows kabuğundaki güvenlik açığı uzaktan kod yürütülmesine izin verebilir
840987 MS04-032: Microsoft Windows için güvenlik güncelleştirmesi
824151 MS04-030: WebDAV XML ileti işleyicisindeki güvenlik açığı hizmet reddine neden olabilir

Çözüm

Bu sorunu gidermek için, Windows XP tabanlı bilgisayarınızı güncelleştirirken aşağıdaki yöntemlerden birini kullanın:
  • Windows XP tabanlı bilgisayarınızı Windows XP SP2'ye güncelleştirin.

    En son Windows XP hizmet paketini edinme hakkında ek bilgi için, Microsoft Knowledge Base'deki makaleyi görüntülemek üzere aşağıdaki makale numarasını tıklatın:
    322389 En son Windows XP hizmet paketi nasıl elde edilir
  • Windows XP için Kritik Güncelleştirme'yi (KB887822) yükleyin. Bunu yapmak için, aşağıdaki Microsoft Web sitelerinden birini ziyaret edin:

Durum

Microsoft bu sorunun, "Aşağıdakilere Uygulanır" bölümünde listelenen Microsoft ürünlerinde bulunduğunu onaylamıştır.

Daha fazla bilgi

Ek bilgi için, Microsoft Knowledge Base'deki makaleyi görüntülemek üzere aşağıdaki makale numarasını tıklatın:
824684 Microsoft yazılım güncelleştirmelerini açıklamak için kullanılan standart terminolojinin açıklaması

Özellikler

Makale numarası: 887822 - Last Review: 15 Mayıs 2011 Pazar - Gözden geçirme: 2.0
Bu makaledeki bilginin uygulandığı durum:
  • Microsoft Windows XP Professional Edition
  • Microsoft Windows XP Home Edition
Anahtar Kelimeler: 
kbqfe kbhotfixserver kbwinxppresp3fix kbwinxpsp3fix kbfix kbbug KB887822

Geri Bildirim Ver

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com